Subject: bug#58070: [PATCH] Add tamil99 input method

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Sep 2022 09:37:23 +0300

> Cc: [email-masked]
> From: Visuwesh <[email-masked]>
> Date: Tue, 27 Sep 2022 07:19:17 +0530
> 
> > I would happily submit a patch fixing this if I knew where the fix
> > should be applied. My guess is that this is outside the scope of quail,
> > and probably even outside the scope of Emacs. Any insight on this would
> > be much appreciated.
> 
> Emacs 29's delete-forward-char deletes by grapheme clusters now.  It is
> now a job of writing a backward version of the grapheme cluster
> detection code.  I poked around in the C code to see how
> find-composition-internal was implemented, and it looked *relatively*
> straightforward to get a backward searching function working.  I might
> be wrong here, so I hope Eli corrects my misunderstandings.

I don't think I understand what you are after.  Please elaborate on
the "backward version of the grapheme cluster detection code", and its
purpose in this context.